- entityDefinitions:
  - IDE_TextAttribute_Subedits: '{31032b85-40da-4813-b8c0-25e515a3887c}'
  - IDI_TaskCategory_TextAttribute: '{8549c956-232a-4fbf-a0d0-38efbe928516}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - taskCategory: '&IDI_TaskCategory_TextAttribute;'
    name: 'Text Attribute'
    
  - element: '&IDE_TextAttribute_Subedits;'
    name: 'text attribute subedits'
    elementContents:
    - globalIdentifier: '{d8d49f05-3cb7-4105-8fae-b02ab32b636c}'
      defaultDataType: '&IDC_TextAttribute;'
      displayOptions:
      - instance: '&IDI_DisplayOption_NotEnterable;'
      - instance: '&IDI_DisplayOption_DoNotShow;'
      layout:
      - type: '&IDC_GroupLayout;'
        globalIdentifier: '{6f3229ee-8e2e-4d3a-8e1c-0e28b109a044}'
        options:
        - instance: '&IDI_GroupLayoutOption_FieldSet;'

    - globalIdentifier: '{5c84b1c3-0e10-4eab-b5d7-cdcbd0c31184}'
      defaultDataType: '&IDA_Name;'

    - globalIdentifier: '{8a8dff03-41c3-4258-b554-38242d9ae64f}'
      defaultDataType: '&IDA_Value;'
      label: 'Default Value'

    - globalIdentifier: '{2ba75873-08da-486b-900a-f18d7797cb2f}'
      defaultDataType: '&IDA_MaximumLength;'
      
    # - globalIdentifier: '{f6fbaab7-f947-49ee-95c3-d7b652e346f4}'
    #   defaultDataType: '&IDR_Work_Data__in__Namespace;'
    #   label: Namespace